List deployments

View as Markdown
List all deployments in the workspace with optional filtering, sorting, and pagination.

Path parameters

org_idstringRequired
workspace_idstringRequired

Query parameters

offsetintegerOptional>=0Defaults to 0
Number of records to skip
limitintegerOptional1-100Defaults to 10

Number of records to return (max 100)

sort_bystring or nullOptional
Field to sort by
sort_orderstring or nullOptional

Sort order (asc or desc)

searchstring or nullOptional
Search query string

Response

Successful Response
itemslist of objects
List of deployments on this page
totalinteger
Total number of deployments matching the query
limitinteger
Maximum number of items per page
offsetinteger
Number of items skipped
next_page_uristring or null
URI to fetch the next page, or null if this is the last page
prev_page_uristring or null
URI to fetch the previous page, or null if this is the first page

Errors

422
Unprocessable Entity Error